> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/robinhood/submit-transactions/robinhood-transactions.md).

# Robinhood Transactions

The `robinhood_tx` method allows users to submit transactions to Robinhood Chain through bloXroute’s low-latency Cloud API. Transactions are automatically eligible for BackRunMe, allowing users to receive a share of any backrunning revenue generated from their order flow. The method returns the transaction hash.

## **Submission Endpoint**

* **Method:** `robinhood_tx`
* **Cloud API host:** `api.blxrbdn.com`
* **Supported protocols:** `HTTPS, WSS`

#### Parameters

<table><thead><tr><th width="240.96529134114581">Parameter</th><th width="195.888916015625">Description</th><th width="314.9652506510417">Instructions &#x26; Notes</th></tr></thead><tbody><tr><td><code>transaction</code></td><td>Raw signed transaction bytes without <strong><code>0x</code></strong> prefix.</td><td><em>[Required]</em> Learn more about constructing the transaction <a href="/eth/sending-transactions/raw-transaction-construction.md">here</a>.</td></tr><tr><td><code>backrunme_reward_address</code></td><td>Wallet address <code>String</code> to receive BackRunMe rewards to</td><td><em>[Optional]</em> Transactions are automatically enrolled in Backrunning services, from which rewards are shared with the specified <code>backrunme_reward_address</code>.</td></tr><tr><td><code>node_validation</code></td><td><code>Boolean</code> - enables synchronous submission for transaction validation with blockchain node.</td><td><em>[Optional, default: false]</em> When it is <code>true</code>, transaction is sent to blockchain node (sequencer) for validation and Cloud-API returns an error message (e.g. "invalid sender" or "nonce too low") in case the raw transaction byte fails validation check.</td></tr></tbody></table>

### **Examples**

{% tabs %}
{% tab title="wscat WS" %}

```bash
wscat -c wss://api.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>"
> {"jsonrpc": "2.0", "id": 1, "method": "robinhood_tx", "params":
   {"transaction": "f86b0184...e0b58219"}}
< ...
```

{% endtab %}

{% tab title="HTTPS POST" %}

```bash
curl -X POST https://api.blxrbdn.com \
  -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "robinhood_tx",
    "params": {
      "transaction": "f86b0184...e0b58219"
    }
  }'
```

{% endtab %}
{% endtabs %}

### **Response**

```json
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": {
    "txHash": "0xc2b971baeae021d8932922e409f7d6d230ba0546bbf3b1d2723e2d6d5741ef9e"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/robinhood/submit-transactions/robinhood-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
